/*
 * File: Point.js
 * --------------
 * This file defines a structure for representing points that includes
 * method definitions for getting the individual fields.
 */

/*
 * Creates a new Point object.  If this factory function is
 * called with no arguments, it creates a Point object at the
 * origin.  This version of the Point factory defines the
 * getter methods getX and getY along with a toString method.
 */

function Point(x, y) {
   if (x === undefined) { x = 0; y = 0; }
   return {
      x: x,
      y: y,
      getX: function() { return this.x; },
      getY: function() { return this.y; },
      toString: function () {
                   return "(" + this.x + ", " + this.y + ")";
                }
   };
}
